Skip to main content
POST
/
media
/
video
Upload a video
curl --request POST \
  --url https://app.myhero.so/media/video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "documentId": "<string>",
  "workspaceId": "<string>",
  "video": {
    "type": "Buffer",
    "data": [
      127
    ]
  }
}
'
{
  "data": {
    "url": "<string>",
    "_id": "<string>",
    "mimeType": "<string>"
  }
}

Authorizations

Authorization
string
header
required

HERO personal access token

Body

application/json
documentId
string
required
Minimum string length: 1
workspaceId
string
required
Minimum string length: 1
mimeType
enum<string>
required
Available options:
video/mp4,
video/webm,
video/quicktime
video
object
required

Response

200 response

data
object
required